#!/bin/sh
export PATH='/usr/obj/ports/hs-crypto-api-0.13.2/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: crypto-api
version: 0.13.2
id: crypto-api-0.13.2-25c5fce40e45a8e2d969b0baa92d648b

license: BSD3
copyright: Thomas DuBuisson <thomas.dubuisson@gmail.com>
maintainer: Thomas DuBuisson <thomas.dubuisson@gmail.com>
stability: stable
homepage: https://github.com/TomMD/crypto-api
package-url:
synopsis: A generic interface for cryptographic operations
description: A generic interface for cryptographic operations (hashes, ciphers, randomness).
             Maintainers of hash and cipher implementations are
             encouraged to add instances for the classes defined
             in Crypto.Classes.  Crypto users are similarly
             encouraged to use the interfaces defined in the Classes
             module.
             Any concepts or functions of general use to more than
             one cryptographic algorithm (ex: padding) is within
             scope of this package.
category: Data, Cryptography
author: Thomas DuBuisson <thomas.dubuisson@gmail.com>, Francisco Blas Izquierdo Riera (klondike)
pkgpath: security/hs-crypto-api
exposed: True
exposed-modules: Crypto.Classes Crypto.Types Crypto.HMAC
                 Crypto.Random Crypto.Padding Crypto.Modes Crypto.Util
                 Crypto.Classes.Exceptions
hidden-modules: Crypto.CPoly
trusted: False
import-dirs: /usr/local/lib/ghc/crypto-api-0.13.2
library-dirs: /usr/local/lib/ghc/crypto-api-0.13.2
hs-libraries: HScrypto-api-0.13.2
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.7.0.2-b11c3b9ddc2bebe1a3d85499c9ea3f18
         bytestring-0.10.4.0-c38ffa96fe2b16989b0dffe49eb81a0b
         cereal-0.4.1.0-613a561ffc71916d0be1e92c867a153a
         entropy-0.2.1-b067dfd026edaf2be6431251589a1c05
         tagged-0.7.3-2acd5048c650dc326bcfe23720b8574e
         transformers-0.3.0.0-164cdf31d42d2d5e3c85dc713dbb8551
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-crypto-api-0.13.2/html/crypto-api.haddock
haddock-html: /usr/local/share/doc/hs-crypto-api-0.13.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
